#include<iostream>

using namespace std;

void proveri(int A[],int l,int r)
{
    int br=0;
    while (l<r)
    {
        if (A[l] > A[l + 1]) br++;
        if(br==2)
        {
        cout<<"NE";
        break;
        }
        l++;
    }
    if(br!=2)cout<<"DA";
    return;
}

int main()
{
    int n;
    cin>>n;
    int A[n];
    for(int i=0;i<n;i++) cin>>A[i];
    int q,l,r,br; cin>>q;
    for (int i = 0; i < q; i++)
    {
        cin>>l>>r;
        l--;r--;
        proveri(A,l,r);
    }
    return 0;
}